//Gilded Marble
onEvent('block.registry', event => {
	event.create('gilded_marble')
		.material('stone')
		.hardness(3)
		.displayName('Gilded Marble')
		.requiresTool(true)
})

//Infused Gilded Marble
onEvent('block.registry', event => {
	event.create('infused_gilded_marble')
		.material('metal')
		.hardness(4)
		.displayName('Infused Gilded Marble')
		.requiresTool(true)
})

//Infused Emerald Block
onEvent('block.registry', event => {
	event.create('infused_emerald_block')
		.material('metal')
		.hardness(4)
		.displayName('Infused Emerald Block')
		.requiresTool(true)
})

//Aquamarine Block
onEvent('block.registry', event => {
	event.create('aquamarine_block')
		.material('stone')
		.hardness(2)
		.displayName('Aquamarine Block')
		.requiresTool(true)
})

//Briliant Gem Block
onEvent('block.registry', event => {
	event.create('briliant_gem_block')
		.material('metal')
		.hardness(3)
		.displayName('Briliant Gem Block')
		.requiresTool(true)
})

//Redstone-Enriched Marble
onEvent('block.registry', event => {
	event.create('redstone_enriched_marble')
		.material('stone')
		.hardness(3)
		.displayName('Redstone-Enriched Marble')
		.requiresTool(true)
})

//Compressed Glowstone
onEvent('block.registry', event => {
	event.create('compressed_glowstone')
		.material('glass')
		.hardness(3)
		.displayName('Compressed Glowstone')
		.requiresTool(false)
})

//Enriched Glowstone
onEvent('block.registry', event => {
	event.create('enriched_glowstone')
		.material('glass')
		.hardness(3)
		.displayName('Enriched Glowstone')
		.requiresTool(false)
})

//Reinforced Obsidian
onEvent('block.registry', event => {
	event.create('reinforced_obsidian')
		.material('metal')
		.hardness(5)
		.displayName('Reinforced Obsidian')
		.requiresTool(true)
})

//Hyper-Dense Obsidian
onEvent('block.registry', event => {
	event.create('hyper_dense_obsidian')
		.material('stone')
		.hardness(5)
		.displayName('Hyper-Dense Obsidian')
		.requiresTool(true)
})

//Magmatic Obsidian
onEvent('block.registry', event => {
	event.create('magmatic_obsidian')
		.material('stone')
		.hardness(5)
		.displayName('Magmatic Obsidian')
		.requiresTool(true)
})

//Enriched Obsidian
onEvent('block.registry', event => {
	event.create('enriched_obsidian')
		.material('metal')
		.hardness(5)
		.displayName('Enriched Obsidian')
		.requiresTool(true)
})

//Low Covalence Block
onEvent('block.registry', event => {
	event.create('low_covalence_block')
		.material('sand')
		.hardness(3)
		.displayName('Low Covalence Block')
		.requiresTool(true)
})

//Medium Covalence Block
onEvent('block.registry', event => {
	event.create('medium_covalence_block')
		.material('sand')
		.hardness(3)
		.displayName('Medium Covalence Block')
		.requiresTool(true)
})

//High Covalence Block
onEvent('block.registry', event => {
	event.create('high_covalence_block')
		.material('sand')
		.hardness(3)
		.displayName('High Covalence Block')
		.requiresTool(true)
})

//Extreme Covalence Block
onEvent('block.registry', event => {
	event.create('extreme_covalence_block')
		.material('sand')
		.hardness(3)
		.displayName('Extreme Covalence Block')
		.requiresTool(true)
})

//White Matter Block
onEvent('block.registry', event => {
	event.create('white_matter_block')
		.material('stone')
		.hardness(3)
		.displayName('White Matter Block')
		.requiresTool(true)
})

//Starmetal-Reinforced Glass
onEvent('block.registry', event => {
	event.create('starmetal_reinforced_glass')
		.material('glass')
		.hardness(1)
		.displayName('Starmetal-Reinforced Glass')
		.requiresTool(false)
		.renderType('translucent')
		.transparent(true)
		.defaultTranslucent()
		.notSolid()
})

//Spacetime
onEvent('block.registry', event => {
	event.create('spacetime')
		.material('glass')
		.hardness(3)
		.displayName('Spacetime')
		.requiresTool(true)
})

//Compressed Dirt
onEvent('block.registry', event => {
	event.create('compressed_dirt')
		.material('dirt')
		.hardness(1)
		.displayName('Compressed Dirt')
		.requiresTool(false)
})

//Double Compressed Dirt
onEvent('block.registry', event => {
	event.create('double_compressed_dirt')
		.material('dirt')
		.hardness(2)
		.displayName('Double Compressed Dirt')
		.requiresTool(false)
})

//Compressed Cobblestone
onEvent('block.registry', event => {
	event.create('compressed_cobblestone')
		.material('stone')
		.hardness(1)
		.displayName('Compressed Cobblestone')
		.requiresTool(true)
})

//Double Compressed Cobblestone
onEvent('block.registry', event => {
	event.create('double_compressed_cobblestone')
		.material('stone')
		.hardness(2)
		.displayName('Double Compressed Cobblestone')
		.requiresTool(true)
})

//Compressed Stone
onEvent('block.registry', event => {
	event.create('compressed_stone')
		.material('stone')
		.hardness(1)
		.displayName('Compressed Stone')
		.requiresTool(true)
})

//Double Compressed Stone
onEvent('block.registry', event => {
	event.create('double_compressed_stone')
		.material('stone')
		.hardness(2)
		.displayName('Double Compressed Stone')
		.requiresTool(true)
})

//Compressed Marble
onEvent('block.registry', event => {
	event.create('compressed_marble')
		.material('stone')
		.hardness(1)
		.displayName('Compressed Marble')
		.requiresTool(true)
})

//Double Compressed Marble
onEvent('block.registry', event => {
	event.create('double_compressed_marble')
		.material('stone')
		.hardness(2)
		.displayName('Double Compressed Marble')
		.requiresTool(true)
})

//Compressed Granite
onEvent('block.registry', event => {
	event.create('compressed_granite')
		.material('stone')
		.hardness(1)
		.displayName('Compressed Granite')
		.requiresTool(true)
})

//Double Compressed Granite
onEvent('block.registry', event => {
	event.create('double_compressed_granite')
		.material('stone')
		.hardness(2)
		.displayName('Double Compressed Granite')
		.requiresTool(true)
})

//Compressed Diorite
onEvent('block.registry', event => {
	event.create('compressed_diorite')
		.material('stone')
		.hardness(1)
		.displayName('Compressed Diorite')
		.requiresTool(true)
})

//Double Compressed Diorite
onEvent('block.registry', event => {
	event.create('double_compressed_diorite')
		.material('stone')
		.hardness(2)
		.displayName('Double Compressed Diorite')
		.requiresTool(true)
})

//Compressed Andesite
onEvent('block.registry', event => {
	event.create('compressed_andesite')
		.material('stone')
		.hardness(1)
		.displayName('Compressed Andesite')
		.requiresTool(true)
})

//Double Compressed Andesite
onEvent('block.registry', event => {
	event.create('double_compressed_andesite')
		.material('stone')
		.hardness(2)
		.displayName('Double Compressed Andesite')
		.requiresTool(true)
})

//Powerful Starwell Casing
onEvent('block.registry', event => {
	event.create('powerful_starwell_casing')
		.material('stone')
		.hardness(3)
		.displayName('Powerful Starwell Casing')
		.requiresTool(true)
})

//Mechanical Infuser Casing
onEvent('block.registry', event => {
	event.create('mechanical_infuser_casing')
		.material('stone')
		.hardness(3)
		.displayName('Mechanical Infuser Casing')
		.requiresTool(true)
})

//Starlight Submerger Casing
onEvent('block.registry', event => {
	event.create('starlight_submerger_casing')
		.material('stone')
		.hardness(3)
		.displayName('Starlight Submerger Casing')
		.requiresTool(true)
})

//Ore Harvester Casing
onEvent('block.registry', event => {
	event.create('ore_harvester_casing')
		.material('stone')
		.hardness(3)
		.displayName('Ore Harvester Casing')
		.requiresTool(true)
})

//Mega Crusher Casing
onEvent('block.registry', event => {
	event.create('mega_crusher_casing')
		.material('stone')
		.hardness(3)
		.displayName('Mega Crusher Casing')
		.requiresTool(true)
})

//Fusion Reactor Casing
onEvent('block.registry', event => {
	event.create('fusion_reactor_casing')
		.material('stone')
		.hardness(3)
		.displayName('Fusion Reactor Casing')
		.requiresTool(true)
})

//Energised Gold Alloy Block
onEvent('block.registry', event => {
	event.create('energised_gold_alloy_block')
		.material('metal')
		.hardness(2)
		.displayName('Energised Gold Alloy Block')
		.requiresTool(true)
})

//Netherite-Starmetal Alloy Block
onEvent('block.registry', event => {
	event.create('netherite_starmetal_alloy_block')
		.material('metal')
		.hardness(3)
		.displayName('Netherite-Starmetal Alloy Block')
		.requiresTool(true)
})

//Briliant Diamond Block
onEvent('block.registry', event => {
	event.create('briliant_diamond_block')
		.material('metal')
		.hardness(2)
		.displayName('Briliant Diamond Block')
		.requiresTool(true)
})

//Briliant Emerald Block
onEvent('block.registry', event => {
	event.create('briliant_emerald_block')
		.material('metal')
		.hardness(3)
		.displayName('Briliant Emerald Block')
		.requiresTool(true)
})